> ## Documentation Index
> Fetch the complete documentation index at: https://docs.britive.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update notification medium details

## OpenAPI

````json PATCH /api/v1/notification-service/notificationmediums/{id}
{
  "openapi": "3.0.1",
  "info": {
    "title": "Secret Manager APIs",
    "version": "v1",
    "description": "API documentation for Secret Manager, Policy Administration, Notifications, Approval service, etc."
  },
  "servers": [
    {
      "url": "https://{tenantURL}",
      "description": "The primary server",
      "variables": {
        "tenantURL": {
          "default": "test.britive-app.com",
          "description": "The host of the server"
        }
      }
    }
  ],
  "security": [
    {
      "bearerAuth": []
    }
  ],
  "tags": [
    {
      "name": "Approvals"
    },
    {
      "name": "Notification Service"
    },
    {
      "name": "Policy Administration"
    },
    {
      "name": "Secrets Manager"
    },
    {
      "name": "Secret Rotation"
    }
  ],
  "paths": {
    "/api/v1/notification-service/notificationmediums/{id}": {
      "patch": {
        "tags": [
          "Notification Service"
        ],
        "summary": "Update notification medium details",
        "operationId": "updateNotificationMedium",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "description": "Id of notification medium",
            "required": "true",
            "schema": {
              "type": "string"
            },
            "example": "a6ed82f6-32b5-46d8-a3a3-c36cc574abd9"
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/NotificationMediumDto"
              }
            }
          },
          "required": "false"
        },
        "responses": {
          "200": {
            "description": "successful operation",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object"
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "schemas": {
      "NotificationMediumDto": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string"
          },
          "name": {
            "maxLength": "30",
            "minLength": "1",
            "pattern": "\\s*[a-zA-Z0-9\\s*_-]+\\s*",
            "type": "string"
          },
          "description": {
            "maxLength": "255",
            "minLength": "0",
            "type": "string"
          },
          "type": {
            "maxLength": "30",
            "minLength": "1",
            "pattern": "\\s*[a-zA-Z]+\\s*",
            "type": "string"
          },
          "connectionParameters": {
            "type": "object",
            "additionalProperties": {
              "type": "string"
            }
          },
          "headers": {
            "type": "object",
            "additionalProperties": {
              "type": "string"
            }
          },
          "referenceCount": {
            "maximum": "1",
            "minimum": "-1",
            "type": "integer",
            "format": "int32"
          }
        }
      }
    },
    "securitySchemes": {
      "bearerAuth": {
        "type": "http",
        "scheme": "bearer"
      }
    }
  }
}
````

